groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jochen Theodorou <blackd...@gmx.org>
Subject Re: release process
Date Tue, 24 Jan 2017 19:04:52 GMT
On 24.01.2017 18:08, Cédric Champeau wrote:
[...]
>     you misunderstand one essential part here. The parrot module would
>     require java8, building Groovy would require Java8, executing Groovy
>     would not require Java8 as long as parrot is not used.
>
> I do understand this. But we're talking about a parser. Not an extension
> module that is technically optional.  A parser is not optional, it's
> critical part of the compilation process,

"a" parser is not optional, but if you have two parser, then you use one 
or the other, so you have the option. For me that is optional enough, in 
a technical sense as well.

> and if a user goes with
> parrot, he doesn't go with the legacy one, and it can produce different
> outputs.

That's because you make it an "either", "or" instead of having both.

> This is very different from an optional module that is used, or
> not used. And, again, it would increase the size of the distribution,
> while 99% of users wouldn't care.

there will be at least one release version with both parsers, even if 
the old one is then optional. That´s why I fail to understand your 
arguments.

bye Jochen

Mime
View raw message